CRMchat APIBeta
Telegram APIUsers

users.setSecureValueErrors

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/users.setSecureValueErrors

Notify the user that the sent passport data contains some errors The user will not be able to re-submit their Passport data to you until the errors are fixed (the contents of the field for which you returned the error must change). Use this if the data submitted by the user doesn't satisfy the standards your service requires for any reason. For example, if a birthday date seems invalid, a submitted document is blurry, a scan shows evidence of tampering, etc. Supply some details in the error message to make sure the user knows how to correct the issues.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Notify the user that the sent passport data contains some errors The user will not be able to re-submit their Passport data to you until the errors are fixed (the contents of the field for which you returned the error must change). Use this if the data submitted by the user doesn't satisfy the standards your service requires for any reason. For example, if a birthday date seems invalid, a submitted document is blurry, a scan shows evidence of tampering, etc. Supply some details in the error message to make sure the user knows how to correct the issues.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/users.setSecureValueErrors" \  -H "Content-Type: application/json" \  -d '{    "params": {      "id": {        "_": "inputUserEmpty"      },      "errors": [        {          "_": "secureValueErrorData",          "type": {            "_": "secureValueTypePersonalDetails"          },          "dataHash": "string",          "field": "string",          "text": "string"        }      ]    }  }'
{  "result": true}